Summary: A space combat game.
Name: Maelstrom
Version: 3.0.6
Release: 3
License: LGPL
Group: Amusements/Games
Source0:   Maelstrom-%{version}.tar.gz
Source1:   maelstrom.png
Patch0: Maelstrom-3.0.5-setgid.patch
URL:       http://www.devolution.com/~slouken/Maelstrom/
BuildRoot: %{_tmppath}/Maelstrom-%{PACKAGE_VERSION}-root
BuildPrereq: SDL-devel, SDL_net-devel

%description
Maelstrom is a space combat game, originally ported from the Macintosh
platform. Brave pilots get to dodge asteroids and fight off other
ships at the same time.

%prep

%setup -q
%patch0 -p1 -b .setgid

%build
touch Makefile.in
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > $RPM_BUILD_ROOT%{_datadir}/applications/net-Maelstrom.desktop << EOF
[Desktop Entry]
Name=Maelstrom
Comment=Space combat game
Exec=%{_bindir}/Maelstrom
Icon=maelstrom.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Game;ArcadeGame;X-Red-Hat-Base;
EOF

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_bindir}/{Maelstrom-netd,macres,playwave,snd2wav}

mkdir -p -m 755 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, games)
%doc COPYING CREDITS README* Changelog Docs
%attr(2755,root,games) %{_bindir}/Maelstrom
%attr(0575,root,games) %dir %{_prefix}/games/Maelstrom
%config %attr(0060,root,games) %{_prefix}/games/Maelstrom/Maelstrom-Scores
%{_prefix}/games/Maelstrom/icon*
%{_prefix}/games/Maelstrom/Images
%{_prefix}/games/Maelstrom/Maelstrom_Fonts
%{_prefix}/games/Maelstrom/Maelstrom_Sounds
%{_prefix}/games/Maelstrom/Maelstrom_Sprites
%{_datadir}/applications/net-Maelstrom.desktop
%{_datadir}/icons

%changelog
* Tue Mar 23 2004 Bill Nottingham <notting@redhat.com> 3.0.6-3
- make score file %config (#108386)
- move icon (#111583)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Sep 30 2003 Bill Nottingham <notting@redhat.com> 3.0.6-1
- tweak desktop file (#79668, #105792 <ville.skytta@iki.fi>)
- update to 3.0.6

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 18 2003 Bill Nottingham <notting@redhat.com> 3.0.5-8
- fix desktop (#81096)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 3.0.5-6
- remove unpackaged files from the buildroot

* Fri Aug 23 2002 Tim Powers <timp@redhat.com>
- bump release number and rebuild

* Thu Aug 22 2002 Preston Brown <pbrown@redhat.com>
- set maelstrom to setgid and access high score file safely (#70768)
- BuildReq on SDL_net-devel (#69105)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.5-2
- build using gcc-3.2-0.1

* Mon Jun 24 2002 Bill Nottingham <notting@redhat.com> 3.0.5-1
- update to 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild to remove libXv/libXxf86dga deps

* Mon Jun 25 2001 Bill Nottingham <notting@redhat.com>
- add buildprereq (#44884)

* Tue Jun 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Mon May  7 2001 Bill Nottingham <notting@redhat.com>
- fix some prototypes in the network daemon
- rebuild against fixed SDL (#24119)

* Mon Apr 30 2001 Bill Nottingham <notting@redhat.com>
- use official tarball, fixes a minor /tmp issue (#38393)

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Mon Mar 12 2001 Bill Nottingham <notting@redhat.com>
- move desktop file to /etc/X11/applnk (#31492)

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- fix Packager: tag

* Fri Dec  1 2000 Bill Nottingham <notting@redhat.com>
- Maelstrom is cool. Let's put it in the base distro.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- cleaned up spec file, shoudln't try to install files in the post or preun
  sections
- use %%configure and %%makeinstall
- use predefined RPM macros whenever possible
- don't use redundant defines at top of spec
- patched to buld with gcc-2.96

* Mon Apr 24 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Tue Feb 08 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Fri Jan 28 2000 Tim Powers <timp@redhat.com>
- changed to valid group

* Wed Dec  8 1999 Bill Nottingham <notting@redhat.com>
- don't echo in %pre/%post, don't add desktop entries to $HOME

* Tue Sep 21 1999 Sam Lantinga <slouken@devolution.com>

- first attempt at a spec file

